classification
Title: py-bt, py-locals, etc. GDB commands fail with output-radix 16
Type: Stage: resolved
Components: Demos and Tools Versions: Python 3.2, Python 3.3, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, benjamin.peterson, dmalcolm, miss-islington, mshroyer
Priority: normal Keywords: patch

Created on 2012-12-07 18:04 by mshroyer, last changed 2019-09-24 03:52 by miss-islington. This issue is now closed.

Files
File name Uploaded Description Edit
python_gdb_fix.patch mshroyer, 2012-12-07 18:04 review
Pull Requests
URL Status Linked Edit
PR 15232 merged python-dev, 2019-08-12 19:34
PR 16345 merged miss-islington, 2019-09-24 03:34
Messages (4)
msg177105 - (view) Author: Mark Shroyer (mshroyer) * Date: 2012-12-07 18:04
When debugging a Python process in GDB with output-radix 16, the py-bt, py-locals, py-value, etc. commands from python-gdb.py fail with messages like "(unable to read python frame information)".

The problem comes down to the int_from_int function attempting to convert its string argument from a base-10 integer representation, even if that string is something like "0xf".  The attached patch fixes this.
msg177106 - (view) Author: Mark Shroyer (mshroyer) * Date: 2012-12-07 18:07
Example of GDB session exhibiting this error:

https://gist.github.com/4228342#file_gdb_output.txt

Thread on python-list:

http://mail.python.org/pipermail/python-list/2012-December/636244.html
msg353051 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-24 03:34
New changeset 6f53d34fb0f944a8c0ee530334c353559ac40f72 by Benjamin Peterson (Marc Hartmayer) in branch 'master':
closes bpo-16637: libpython: construct integer object directly from gdbvalue (GH-15232)
https://github.com/python/cpython/commit/6f53d34fb0f944a8c0ee530334c353559ac40f72
msg353054 - (view) Author: miss-islington (miss-islington) Date: 2019-09-24 03:52
New changeset 5b94eb8d14f5a5b20dc2a999d6ca6219214b458c by Miss Islington (bot) in branch '3.8':
closes bpo-16637: libpython: construct integer object directly from gdbvalue (GH-15232)
https://github.com/python/cpython/commit/5b94eb8d14f5a5b20dc2a999d6ca6219214b458c
History
Date User Action Args
2019-09-24 03:52:53miss-islingtonsetnosy: + miss-islington
messages: + msg353054
2019-09-24 03:34:24miss-islingtonsetpull_requests: + pull_request15922
2019-09-24 03:34:16benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg353051

resolution: fixed
stage: patch review -> resolved
2019-08-12 19:34:42python-devsetstage: patch review
pull_requests: + pull_request14956
2012-12-24 16:15:03asvetlovsetnosy: + asvetlov
2012-12-07 18:39:56r.david.murraysetnosy: + dmalcolm
2012-12-07 18:07:31mshroyersetmessages: + msg177106
2012-12-07 18:04:52mshroyercreate